### Method

# Fwupd SecurityAttr add_metadata

since: 1.5.0

#### Declaration [src]

    void
    fwupd_security_attr_add_metadata (
      FwupdSecurityAttr* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Adds metadata to the attribute which may be used in the name.

Available since: 1.5.0

#### Parameters

`key`

  Type: `const gchar*`

  Metadata key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  Metadata value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.